Package org.snpeff.gsa

# Enum Class ScoreList.ScoreSummary

java.lang.Object
java.lang.Enum<ScoreList.ScoreSummary>
org.snpeff.gsa.ScoreList.ScoreSummary

All Implemented Interfaces:
  `Serializable`, `Comparable<ScoreList.ScoreSummary>`, `Constable`

Enclosing class:
  `ScoreList`

public static enum ScoreList.ScoreSummary extends Enum<ScoreList.ScoreSummary>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AVG`
`AVG_MAX_10`
`AVG_MIN_10`
`BONFERRONI`
`FDR`
`FISHER_CHI_SQUARE`
`MAX`
`MIN`
`SIMES`
`SUM`
`Z_SCORES`

## Method Summary

Modifier and Type
Method
Description
`static ScoreList.ScoreSummary`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ScoreList.ScoreSummary[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MIN

public static final ScoreList.ScoreSummary MIN

### AVG

public static final ScoreList.ScoreSummary AVG

### AVG_MIN_10

public static final ScoreList.ScoreSummary AVG_MIN_10

### FISHER_CHI_SQUARE

public static final ScoreList.ScoreSummary FISHER_CHI_SQUARE

### Z_SCORES

public static final ScoreList.ScoreSummary Z_SCORES

### SIMES

public static final ScoreList.ScoreSummary SIMES

### BONFERRONI

public static final ScoreList.ScoreSummary BONFERRONI

### FDR

public static final ScoreList.ScoreSummary FDR

### MAX

public static final ScoreList.ScoreSummary MAX

### AVG_MAX_10

public static final ScoreList.ScoreSummary AVG_MAX_10

### SUM

public static final ScoreList.ScoreSummary SUM

## Method Details

### values

public static ScoreList.ScoreSummary[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ScoreList.ScoreSummary valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null